
/**
 * imports
 */
import message_bus from '../message-bus.js';
import storage     from '../storage.js';

import Menu     from '../model/menu.js';
import MenuItem from '../model/menu_item.js';

// start up
const menu_list = {
	
	/**
	 * state
	 */
	data: function () {
		return {
		}
	},
	
	/**
	 *
	 */
	methods: {
		
		/**
		 * toggle activation
		 */
		onclick_active: function () {
			
			message_bus.$emit( 'menu-item-activate-toggle', this.menu, this.item );
		},
		
		/**
		 * delete a menu item
		 */
		onclick_nuke: function () {
			
			message_bus.$emit( 'menu-item-delete-toggle', this.menu, this.item );
		},
		
		/**
		 * delete a menu item
		 */
		onclick_menu_item_delete: function () {
			
			message_bus.$emit( 'menu-item-delete', this.menu, this.item );
		}
	},
	
	/**
	 * props
	 */
	props: {
		'item': Object,
		'menu': Object
	},
	
	/**
	 * html
	 */
	template: `
<!-- start menu-item -->
<div class="menu-item">
	
	<span class="delete" v-on:click="onclick_menu_item_delete"  v-show="menu.name != 'pending'">
		<i class="fa fa-trash"></i>
	</span>
	
	<label v-show="menu.name != 'pending'">
		{{ 'lang_settings_navigation_activate' | translate }}
		<input class="active" type="checkbox" v-model="item.active" v-on:click="onclick_active" />
	</label>
	<label v-show="menu.name != 'pending'">
		{{ 'lang_del_button' | translate }}:
		<input class="nuke" type="checkbox" v-model="item.nuke"  v-on:click="onclick_nuke" />
	</label>
	
	{{item.name}}
	
	<div class="url">{{ item.url }}</div>
</div>
<!-- end menu-item -->
`,

	/**
	 * watched properties
	 */
	watch: {
		
		deep: true,
		immediate: true,
		
		item: function (new_val, old_val) {
			
			console.log( 'item watched', new_val );
		}
	}
};

/**
 * exports
 */
export default menu_list;

