/**
 * imports
 */
// none

/**
 * menu item storage
 * @param string name
 * @param string url
 * @param bool active
 * @param bool nuke
 */
function MenuItem (name, url, active, nuke) {
	
	this.name   = name;
	this.url    = url;
	this.active = active;
	this.nuke   = nuke;
};

/**
 * comparison operator
 * @param mixed $arg
 * @return boolean
 */
MenuItem.prototype.equals = function (arg) {
	
	let result = false;
	
	if (arg instanceof MenuItem) {
		
		result = ((this.name == arg.name) && (this.url == arg.url));
	}
	
	return result;
};

/**
 * pretty print the contents
 * @param int offset
 * @return string
 */
MenuItem.prototype.pretty_print = function (offset = 0) {
	
	const spacer = "=> ".repeat(offset);
	
	let result = spacer + "MenuItem " + JSON.stringify(this) + "\n";
	
	return result;
};

/**
 * set/clear the active flag for menu
 * @param bool flag
 * @return MenuItem for fluent interface
 */
MenuItem.prototype.set_active = function (flag) {
	
	this.active = flag;
	
	return this;
};

/**
 * set/clear the deleted flag for menu
 * @param bool flag
 * @return MenuItem for fluent interface
 */
MenuItem.prototype.set_nuked = function (flag) {
	
	this.nuke = flag;
	
	//console.log( 'set_nuked', this.name, this.nuke );
	
	return this;
};


/**
 * exports
 */
export default MenuItem;
