/**
 * imports
 */
import message_bus from './message-bus.js';

import Menu     from './model/menu.js';
import MenuItem from './model/menu_item.js';

/**
 * data storage
 */
const track_ui = {
	
	/**
	 * state storage
	 */
	open_menu_list: [],
	
	/**
	 * event handlers
	 */
	event: {
		/**
		 * attach all the events we will use
		 */
		attach: function () {
			
			message_bus.$on( 'track-ui-menu-open',  this.menu_open );
			
			message_bus.$on( 'track-ui-menu-close',  this.menu_close );
		},
		
		/**
		 * handle event
		 */
		menu_open: function (menu) {
			
			if (track_ui.open_menu_list.indexOf(menu) == -1) {
				
				track_ui.open_menu_list.push( menu );
			}
			
			message_bus.$emit( 'track-ui-menu-change', track_ui.open_menu_list );
		},
		
		/**
		 * handle event
		 */
		menu_close: function (menu) {
			
			const position = track_ui.open_menu_list.indexOf(menu);
			
			track_ui.open_menu_list = 
				[].concat(
					track_ui.open_menu_list.slice( 0, position ),
					track_ui.open_menu_list.slice( position + 1)
				);
			
			message_bus.$emit( 'track-ui-menu-change', track_ui.open_menu_list );
		}
	}
};

/**
 * INITIALISE
 */

// wire on events
track_ui.event.attach();

export default track_ui;
