<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

declare(strict_types = 1);

namespace pulsecore;

/**
 * autoload PHP classes
 * @param string $classname classname to load
 */
function autoloader (string $classname) : void {
	
	# import the class map
	static $classmap = false;
	
	if ($classmap === false) {
		$classmap = require_once (PULSE_BASE_DIR . '/pulsecore/src/autoload_classmap.php');
	}
	
	# autoload the class name
	if (isset($classmap[$classname])) {
		require_once ($classmap[$classname]);
	} else {
		#throw new \LogicException( "Cannot autoload {$classname}" );
	}
}

# register the autoloader
\spl_autoload_register( '\pulsecore\autoloader' );

/**
 * bootstrap the extra code for pulse cms - autoload vendor library
 */
require_once (PULSE_BASE_DIR . '/pulsecore/vendor/autoload.php');
