<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

declare(strict_types = 1);

namespace pulsecore\view\helper;

/**
 * Adds made in pulse badges/etc to template
 */
class MadeInPulse extends Base {
	
	/*
	 * render the resources to string for inclusion in view/template
	 * @param array $arguments array optional list of parameters
	 * @return string
	 */
	public function render (array $arguments = []) : string {
		
		$params = \array_merge(
			array(
				'badge_image' => (\pulsecore\wedge\config\get_json_configs()->json->path . '/template/img/logo.png')
			),
			$arguments
		);
		
		\pulsecore\pre_condition(      isset($params['badge_image']) );
		\pulsecore\pre_condition( \is_string($params['badge_image']) );
		\pulsecore\pre_condition(    \strlen($params['badge_image']) > 0 );
		
		$badge_image = $params['badge_image'];
		
		$result = '';
		
		if (\pulsecore\wedge\config\get_json_configs()->json->made_in_pulse) {
			
			$result =<<<EOD
<!-- Made in PulseCMS -->
<a href="https://pulsecms.com" class="made_in_pulse_badge"><img alt="made in pulse" src="{$badge_image}" /></a>

EOD;
		}
		
		return $result;
	}
	
}
