<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

declare(strict_types = 1);

namespace pulsecore\view\helper;

/**
 * dump translations for JS
 */
class Translations extends Base {
	
	/*
	 * render the resources to string for inclusion in view/template
	 * @param array $arguments array optional list of parameters
	 * @return string
	 */
	public function render (array $arguments = []) : string {
		
		$result = [
			
			'lang_not_supported_in_this_version' => $GLOBALS['lang_not_supported_in_this_version'],
			
			'lang_cancel_button' => $GLOBALS['lang_cancel'],
			'lang_del_button'    => $GLOBALS['lang_del_button'],
			'lang_save_button'   => $GLOBALS['lang_save'],
			
			'lang_sweetalert_ok'    => $GLOBALS['lang_sweetalert_ok'],
			'lang_sweetalert_saved' => $GLOBALS['lang_sweetalert_saved'],
			
			'lang_redactor_mail_button'     => $GLOBALS['lang_redactor_mail_button'],
			'lang_redactor_mail_link_title' => $GLOBALS['lang_redactor_mail_link_title'],
			
			'lang_settings_navigation_non_pulse_page' => $GLOBALS['lang_settings_navigation_non_pulse_page'],
			'lang_settings_navigation_non_pulse_name' => $GLOBALS['lang_settings_navigation_non_pulse_name'],
			'lang_settings_navigation_non_pulse_url'  => $GLOBALS['lang_settings_navigation_non_pulse_url'],
			'lang_settings_navigation_activate'       => $GLOBALS['lang_settings_navigation_activate'],
			
			# manage navigation vue widget
			'lang_save' => $GLOBALS['lang_save'],
			'lang_settings_navigation_add_menu' => $GLOBALS['lang_settings_navigation_add_menu'],
			'lang_settings_navigation_menus'    => $GLOBALS['lang_settings_navigation_menus']
		];
		
		$result = \json_encode( $result );
		
		$admin_url = PULSE_ADMIN_URL;
		$base_url  = PULSE_BASE_URL;
		
		$result =<<<EOD
var pulsecore = pulsecore || {};
pulsecore.admin_url = "{$admin_url}";
pulsecore.base_url  = "{$base_url}";
pulsecore.translations = {$result};
EOD;
		
		return $result;
	}
	
}
