<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace standalone\sb_login;

# ===========================================================================>
/**
 * basic OTP interface
 * \param $otp_shared_secret string The shared secret
 * \return object
 */
function otp_get( $otp_shared_secret ) {
	
	static $totp = false;
	
	if ($totp === false) {
		#new totp
		$totp = new \OTPHP\TOTP();
		$totp->setLabel( \standalone\sb_login\get_configs()->otp->label    )
			->setDigits(   \standalone\sb_login\get_configs()->otp->digits   )
			->setDigest(   \standalone\sb_login\get_configs()->otp->digest   )
			->setInterval( \standalone\sb_login\get_configs()->otp->interval )
			->setSecret(   $otp_shared_secret );
	}
	
	return $totp;
}

/**
 * verify OTP password
 * \param $otp_password string
 * \param $otp_shared_secret string The shared secret
 * \return bool
 */
function otp_verify_password( $otp_password, $otp_shared_secret ) {
	
	$totp = otp_get( $otp_shared_secret );
	
	$result = $totp->verify( $otp_password );
	
	return $result;
}

# ===========================================================================>
