<?php
/* TOP_COMMENT_START
 * Copyright (C) 2022, Levion Partners dba PulseCMS - All Rights Reserved
 *
 * This file is part of Pulse Core. It may be used by individuals or organizations generating less than $400,000 USD per year in revenue, free-of-charge. Individuals or organizations generating over $400,000 in annual revenue who continue to use Pulse Core after 90 days for non-evaluation and non-development use must purchase a paid license. 
 *
 * Proprietary
 * You may modify this source code for internal use. Resale or redistribution is prohibited.
 *
 * You can get the latest version at: https://pulsecms.com/
 *
 * Dated June 2023
 *
TOP_COMMENT_END */

namespace pulsecore\tags;

/**
 * show categories for a blog item
 */
class BlogItemTag extends Base {
	
	/*
	 * generate html
	 * @param array $params Array of named arguments
	 * @param array $tag_runner_context Extra content to provide to tags
	 * @param string $tag_content Optional string with the between opening and closing tag content
	 * @return string
	 */
	public function generate_html (array $params = [], array $tag_runner_context = [], string $tag_content = '') : string {
		
		\pulsecore\pre_condition(      isset($tag_content) );
		\pulsecore\pre_condition( \is_string($tag_content) );
		
		$arguments = \array_merge( array('base_url' => $GLOBALS['path']), $params );
		
		\pulsecore\pre_condition( isset($arguments['blog_item']) );
		\pulsecore\pre_condition(       $arguments['blog_item'] instanceof \pulsecore\store\blog\Item );
		
		\pulsecore\pre_condition(      isset($arguments['base_url']) );
		\pulsecore\pre_condition( \is_string($arguments['base_url']) );
		\pulsecore\pre_condition(    \strlen($arguments['base_url']) >= 0);
		
		$base_url  = $arguments['base_url' ];
		$blog_item = $arguments['blog_item'];
		
		$base_url = \trim( $base_url );
		
		# build the result;
		$result = '';
		
		foreach ($blog_item->tags as $value) {
			
			$encoded_value = \urlencode($value);
			
			$result .= "<li><a href=\"{$base_url}/tagged/{$encoded_value}\">{$value}</a></li>\n";
		}
		
		# wrap
		$result  = "<span class=\"blog-posted-in\">{$GLOBALS['lang_blog_posted_in']}</span><div class=\"blog-item-grid-item tag-blog-item-category blog-entry-tags\">\n<ul class=\"pulsecore_blog_tag_list\">\n{$result}\n</ul>\n</div>\n";
		$result .= "<div class=\"pulsecore_float_barrier\"></div>\n";
		
		return $result;
	}
}
